/*

  Q Light Controller Plus
  vcbuttonproperties.ui

  Copyright (c) 2015 Massimo Callegari

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0.txt

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 
*/

/********************************************************************************
** Form generated from reading UI file 'vcbuttonproperties.ui'
**
** Created by: Qt User Interface Compiler version 6.8.0
**
** WARNING! All changes made in this file will be lost when recompiling UI file!
********************************************************************************/

#ifndef UI_VCBUTTONPROPERTIES_H
#define UI_VCBUTTONPROPERTIES_H

#include <QtCore/QVariant>
#include <QtGui/QIcon>
#include <QtWidgets/QAbstractButton>
#include <QtWidgets/QApplication>
#include <QtWidgets/QCheckBox>
#include <QtWidgets/QDialog>
#include <QtWidgets/QDialogButtonBox>
#include <QtWidgets/QFrame>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QLabel>
#include <QtWidgets/QLineEdit>
#include <QtWidgets/QRadioButton>
#include <QtWidgets/QSlider>
#include <QtWidgets/QSpacerItem>
#include <QtWidgets/QToolButton>
#include <QtWidgets/QVBoxLayout>

QT_BEGIN_NAMESPACE

class Ui_VCButtonProperties
{
public:
    QGridLayout *gridLayout;
    QGroupBox *groupBox_4;
    QVBoxLayout *vboxLayout;
    QRadioButton *m_toggle;
    QHBoxLayout *horizontalLayout_4;
    QRadioButton *m_flash;
    QSpacerItem *horizontalSpacer;
    QCheckBox *m_overridePriority;
    QCheckBox *m_forceLTP;
    QRadioButton *m_blackout;
    QHBoxLayout *horizontalLayout_2;
    QRadioButton *m_stopAll;
    QLabel *m_safFadeLabel;
    QLineEdit *m_fadeOutEdit;
    QToolButton *m_speedDialButton;
    QDialogButtonBox *m_buttonBox;
    QGroupBox *m_intensityGroup;
    QHBoxLayout *horizontalLayout;
    QSlider *m_intensitySlider;
    QLineEdit *m_intensityEdit;
    QGroupBox *m_generalGroup;
    QGridLayout *gridLayoutGeneral;
    QLabel *m_nameLabel;
    QLineEdit *m_nameEdit;
    QLabel *m_functionLabel;
    QLineEdit *m_functionEdit;
    QToolButton *m_attachFunction;
    QToolButton *m_detachFunction;
    QFrame *frame;
    QVBoxLayout *verticalLayout_3;
    QVBoxLayout *m_extControlLayout;

    void setupUi(QDialog *VCButtonProperties)
    {
        if (VCButtonProperties->objectName().isEmpty())
            VCButtonProperties->setObjectName("VCButtonProperties");
        VCButtonProperties->resize(512, 541);
        gridLayout = new QGridLayout(VCButtonProperties);
        gridLayout->setObjectName("gridLayout");
        groupBox_4 = new QGroupBox(VCButtonProperties);
        groupBox_4->setObjectName("groupBox_4");
        vboxLayout = new QVBoxLayout(groupBox_4);
        vboxLayout->setObjectName("vboxLayout");
        m_toggle = new QRadioButton(groupBox_4);
        m_toggle->setObjectName("m_toggle");
        m_toggle->setChecked(true);

        vboxLayout->addWidget(m_toggle);

        horizontalLayout_4 = new QHBoxLayout();
        horizontalLayout_4->setObjectName("horizontalLayout_4");
        m_flash = new QRadioButton(groupBox_4);
        m_flash->setObjectName("m_flash");

        horizontalLayout_4->addWidget(m_flash);

        horizontalSpacer = new QSpacerItem(40, 20, QSizePolicy::Policy::Expanding, QSizePolicy::Policy::Minimum);

        horizontalLayout_4->addItem(horizontalSpacer);

        m_overridePriority = new QCheckBox(groupBox_4);
        m_overridePriority->setObjectName("m_overridePriority");

        horizontalLayout_4->addWidget(m_overridePriority);

        m_forceLTP = new QCheckBox(groupBox_4);
        m_forceLTP->setObjectName("m_forceLTP");

        horizontalLayout_4->addWidget(m_forceLTP);


        vboxLayout->addLayout(horizontalLayout_4);

        m_blackout = new QRadioButton(groupBox_4);
        m_blackout->setObjectName("m_blackout");

        vboxLayout->addWidget(m_blackout);

        horizontalLayout_2 = new QHBoxLayout();
        horizontalLayout_2->setObjectName("horizontalLayout_2");
        m_stopAll = new QRadioButton(groupBox_4);
        m_stopAll->setObjectName("m_stopAll");
        QSizePolicy sizePolicy(QSizePolicy::Policy::MinimumExpanding, QSizePolicy::Policy::Fixed);
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(m_stopAll->sizePolicy().hasHeightForWidth());
        m_stopAll->setSizePolicy(sizePolicy);

        horizontalLayout_2->addWidget(m_stopAll);

        m_safFadeLabel = new QLabel(groupBox_4);
        m_safFadeLabel->setObjectName("m_safFadeLabel");

        horizontalLayout_2->addWidget(m_safFadeLabel);

        m_fadeOutEdit = new QLineEdit(groupBox_4);
        m_fadeOutEdit->setObjectName("m_fadeOutEdit");
        QSizePolicy sizePolicy1(QSizePolicy::Policy::Minimum, QSizePolicy::Policy::Fixed);
        sizePolicy1.setHorizontalStretch(0);
        sizePolicy1.setVerticalStretch(0);
        sizePolicy1.setHeightForWidth(m_fadeOutEdit->sizePolicy().hasHeightForWidth());
        m_fadeOutEdit->setSizePolicy(sizePolicy1);
        m_fadeOutEdit->setText(QString::fromUtf8(".00"));
        m_fadeOutEdit->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);

        horizontalLayout_2->addWidget(m_fadeOutEdit);

        m_speedDialButton = new QToolButton(groupBox_4);
        m_speedDialButton->setObjectName("m_speedDialButton");
        QIcon icon;
        icon.addFile(QString::fromUtf8(":/speed.png"), QSize(), QIcon::Mode::Normal, QIcon::State::Off);
        m_speedDialButton->setIcon(icon);
        m_speedDialButton->setIconSize(QSize(20, 20));
        m_speedDialButton->setCheckable(true);

        horizontalLayout_2->addWidget(m_speedDialButton);


        vboxLayout->addLayout(horizontalLayout_2);


        gridLayout->addWidget(groupBox_4, 4, 0, 1, 2);

        m_buttonBox = new QDialogButtonBox(VCButtonProperties);
        m_buttonBox->setObjectName("m_buttonBox");
        m_buttonBox->setOrientation(Qt::Horizontal);
        m_buttonBox->setStandardButtons(QDialogButtonBox::Cancel|QDialogButtonBox::Ok);

        gridLayout->addWidget(m_buttonBox, 6, 0, 1, 2);

        m_intensityGroup = new QGroupBox(VCButtonProperties);
        m_intensityGroup->setObjectName("m_intensityGroup");
        m_intensityGroup->setCheckable(true);
        horizontalLayout = new QHBoxLayout(m_intensityGroup);
        horizontalLayout->setObjectName("horizontalLayout");
        m_intensitySlider = new QSlider(m_intensityGroup);
        m_intensitySlider->setObjectName("m_intensitySlider");
        QSizePolicy sizePolicy2(QSizePolicy::Policy::MinimumExpanding, QSizePolicy::Policy::Fixed);
        sizePolicy2.setHorizontalStretch(1);
        sizePolicy2.setVerticalStretch(0);
        sizePolicy2.setHeightForWidth(m_intensitySlider->sizePolicy().hasHeightForWidth());
        m_intensitySlider->setSizePolicy(sizePolicy2);
        m_intensitySlider->setMinimum(0);
        m_intensitySlider->setMaximum(100);
        m_intensitySlider->setOrientation(Qt::Horizontal);
        m_intensitySlider->setInvertedAppearance(false);
        m_intensitySlider->setInvertedControls(false);
        m_intensitySlider->setTickPosition(QSlider::TicksAbove);
        m_intensitySlider->setTickInterval(10);

        horizontalLayout->addWidget(m_intensitySlider);

        m_intensityEdit = new QLineEdit(m_intensityGroup);
        m_intensityEdit->setObjectName("m_intensityEdit");
        QSizePolicy sizePolicy3(QSizePolicy::Policy::Fixed, QSizePolicy::Policy::Fixed);
        sizePolicy3.setHorizontalStretch(0);
        sizePolicy3.setVerticalStretch(0);
        sizePolicy3.setHeightForWidth(m_intensityEdit->sizePolicy().hasHeightForWidth());
        m_intensityEdit->setSizePolicy(sizePolicy3);
        m_intensityEdit->setMaximumSize(QSize(50, 16777215));
        m_intensityEdit->setMaxLength(4);

        horizontalLayout->addWidget(m_intensityEdit);


        gridLayout->addWidget(m_intensityGroup, 5, 0, 1, 2);

        m_generalGroup = new QGroupBox(VCButtonProperties);
        m_generalGroup->setObjectName("m_generalGroup");
        QSizePolicy sizePolicy4(QSizePolicy::Policy::MinimumExpanding, QSizePolicy::Policy::Preferred);
        sizePolicy4.setHorizontalStretch(0);
        sizePolicy4.setVerticalStretch(0);
        sizePolicy4.setHeightForWidth(m_generalGroup->sizePolicy().hasHeightForWidth());
        m_generalGroup->setSizePolicy(sizePolicy4);
        gridLayoutGeneral = new QGridLayout(m_generalGroup);
        gridLayoutGeneral->setObjectName("gridLayoutGeneral");
        m_nameLabel = new QLabel(m_generalGroup);
        m_nameLabel->setObjectName("m_nameLabel");

        gridLayoutGeneral->addWidget(m_nameLabel, 0, 0, 1, 1);

        m_nameEdit = new QLineEdit(m_generalGroup);
        m_nameEdit->setObjectName("m_nameEdit");

        gridLayoutGeneral->addWidget(m_nameEdit, 0, 1, 1, 3);

        m_functionLabel = new QLabel(m_generalGroup);
        m_functionLabel->setObjectName("m_functionLabel");

        gridLayoutGeneral->addWidget(m_functionLabel, 1, 0, 1, 1);

        m_functionEdit = new QLineEdit(m_generalGroup);
        m_functionEdit->setObjectName("m_functionEdit");
        m_functionEdit->setReadOnly(true);

        gridLayoutGeneral->addWidget(m_functionEdit, 1, 1, 1, 1);

        m_attachFunction = new QToolButton(m_generalGroup);
        m_attachFunction->setObjectName("m_attachFunction");
        m_attachFunction->setText(QString::fromUtf8("..."));
        QIcon icon1;
        icon1.addFile(QString::fromUtf8(":/attach.png"), QSize(), QIcon::Mode::Normal, QIcon::State::Off);
        m_attachFunction->setIcon(icon1);
        m_attachFunction->setIconSize(QSize(32, 32));

        gridLayoutGeneral->addWidget(m_attachFunction, 1, 2, 1, 1);

        m_detachFunction = new QToolButton(m_generalGroup);
        m_detachFunction->setObjectName("m_detachFunction");
        m_detachFunction->setText(QString::fromUtf8("..."));
        QIcon icon2;
        icon2.addFile(QString::fromUtf8(":/detach.png"), QSize(), QIcon::Mode::Normal, QIcon::State::Off);
        m_detachFunction->setIcon(icon2);
        m_detachFunction->setIconSize(QSize(32, 32));

        gridLayoutGeneral->addWidget(m_detachFunction, 1, 3, 1, 1);


        gridLayout->addWidget(m_generalGroup, 0, 0, 1, 1);

        frame = new QFrame(VCButtonProperties);
        frame->setObjectName("frame");
        verticalLayout_3 = new QVBoxLayout(frame);
        verticalLayout_3->setObjectName("verticalLayout_3");
        verticalLayout_3->setContentsMargins(0, 0, 0, 0);
        m_extControlLayout = new QVBoxLayout();
        m_extControlLayout->setObjectName("m_extControlLayout");

        verticalLayout_3->addLayout(m_extControlLayout);


        gridLayout->addWidget(frame, 1, 0, 1, 2);


        retranslateUi(VCButtonProperties);
        QObject::connect(m_buttonBox, &QDialogButtonBox::accepted, VCButtonProperties, qOverload<>(&QDialog::accept));
        QObject::connect(m_buttonBox, &QDialogButtonBox::rejected, VCButtonProperties, qOverload<>(&QDialog::reject));

        QMetaObject::connectSlotsByName(VCButtonProperties);
    } // setupUi

    void retranslateUi(QDialog *VCButtonProperties)
    {
        VCButtonProperties->setWindowTitle(QCoreApplication::translate("VCButtonProperties", "Button properties", nullptr));
        groupBox_4->setTitle(QCoreApplication::translate("VCButtonProperties", "On button press...", nullptr));
#if QT_CONFIG(tooltip)
        m_toggle->setToolTip(QCoreApplication::translate("VCButtonProperties", "Toggle the assigned function on/off with this button", nullptr));
#endif // QT_CONFIG(tooltip)
        m_toggle->setText(QCoreApplication::translate("VCButtonProperties", "Toggle function on/off", nullptr));
#if QT_CONFIG(tooltip)
        m_flash->setToolTip(QCoreApplication::translate("VCButtonProperties", "Flash the assigned function with this button", nullptr));
#endif // QT_CONFIG(tooltip)
        m_flash->setText(QCoreApplication::translate("VCButtonProperties", "Flash function (only for scenes)", nullptr));
        m_overridePriority->setText(QCoreApplication::translate("VCButtonProperties", "Override priority", nullptr));
        m_forceLTP->setText(QCoreApplication::translate("VCButtonProperties", "Force LTP", nullptr));
        m_blackout->setText(QCoreApplication::translate("VCButtonProperties", "Toggle Blackout", nullptr));
        m_stopAll->setText(QCoreApplication::translate("VCButtonProperties", "Stop All Functions", nullptr));
        m_safFadeLabel->setText(QCoreApplication::translate("VCButtonProperties", "Fade time:", nullptr));
#if QT_CONFIG(tooltip)
        m_intensityGroup->setToolTip(QCoreApplication::translate("VCButtonProperties", "Adjust function intensity when it is running", nullptr));
#endif // QT_CONFIG(tooltip)
        m_intensityGroup->setTitle(QCoreApplication::translate("VCButtonProperties", "Adjust Function Intensity", nullptr));
#if QT_CONFIG(tooltip)
        m_intensitySlider->setToolTip(QCoreApplication::translate("VCButtonProperties", "Function's adjusted intensity percentage when run", nullptr));
#endif // QT_CONFIG(tooltip)
        m_generalGroup->setTitle(QCoreApplication::translate("VCButtonProperties", "General", nullptr));
        m_nameLabel->setText(QCoreApplication::translate("VCButtonProperties", "Button label", nullptr));
#if QT_CONFIG(tooltip)
        m_nameEdit->setToolTip(QCoreApplication::translate("VCButtonProperties", "Text to display on the button", nullptr));
#endif // QT_CONFIG(tooltip)
        m_functionLabel->setText(QCoreApplication::translate("VCButtonProperties", "Function", nullptr));
#if QT_CONFIG(tooltip)
        m_functionEdit->setToolTip(QCoreApplication::translate("VCButtonProperties", "The function that this button controls", nullptr));
#endif // QT_CONFIG(tooltip)
#if QT_CONFIG(tooltip)
        m_attachFunction->setToolTip(QCoreApplication::translate("VCButtonProperties", "Attach a function to this button", nullptr));
#endif // QT_CONFIG(tooltip)
#if QT_CONFIG(tooltip)
        m_detachFunction->setToolTip(QCoreApplication::translate("VCButtonProperties", "Detach the button's function attachment", nullptr));
#endif // QT_CONFIG(tooltip)
    } // retranslateUi

};

namespace Ui {
    class VCButtonProperties: public Ui_VCButtonProperties {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_VCBUTTONPROPERTIES_H
